package subject

import "fmt"

func getSupplierUserValue(val string) string {
	return fmt.Sprintf("%s.%s", prefixes.SupplierUser, val)
}

var SupplierUser = struct {
	// Users
	LoginUser     string
	GetListUser   string
	DetailUser    string
	CreateOwner   string
	UpdateOwner   string
	CreateStaff   string
	UpdateStaff   string
	UpdateStatus  string
	ResetPassword string
}{
	// Users
	LoginUser:     getSupplierUserValue("login_user"),
	GetListUser:   getSupplierUserValue("get_list_user"),
	DetailUser:    getSupplierUserValue("detail_user"),
	CreateOwner:   getSupplierUserValue("create_owner"),
	UpdateOwner:   getSupplierUserValue("update_owner"),
	CreateStaff:   getSupplierUserValue("create_staff"),
	UpdateStaff:   getSupplierUserValue("update_staff"),
	UpdateStatus:  getSupplierUserValue("update_status"),
	ResetPassword: getSupplierUserValue("reset_password"),
}
